Show / Hide Table of Contents

# Struct SDL.SDL_HapticRamp

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public struct SDL_HapticRamp

### Fields

| Improve this Doc View Source

#### attack_length

##### Declaration

    public ushort attack_length

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### attack_level

##### Declaration

    public ushort attack_level

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### button

##### Declaration

    public ushort button

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### delay

##### Declaration

    public ushort delay

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### direction

##### Declaration

    public SDL.SDL_HapticDirection direction

##### Field Value

Type | Description
--- | ---
SDL.SDL_HapticDirection |

| Improve this Doc View Source

#### end

##### Declaration

    public short end

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### fade_length

##### Declaration

    public ushort fade_length

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### fade_level

##### Declaration

    public ushort fade_level

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### interval

##### Declaration

    public ushort interval

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### length

##### Declaration

    public uint length

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### start

##### Declaration

    public short start

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### type

##### Declaration

    public ushort type

##### Field Value

Type | Description
--- | ---
System.UInt16 |